#' @export
#'
install_common <- function() {
  pkgs <- c(
    "tidyverse", "showtext", "sysfonts", "extrafont",
    "patchwork", "car", "ggtext", "ggwordcloud", "vegan", "writexl",
    "skimr", "purrr", "readxl", "lubridate",
    "leaflet", "httpuv", "shiny", "sf", "stars", "ggalt",
    "pdftools", "pins", "rvg", "RMariaDB", "ggsci",
    "devtools", "magick", "quarto", "scholar", "maps",
    "tidymodels", "xgboost", "mgcv", "remotes"
  )
  for (p in pkgs) {
    if (!requireNamespace(p, quietly = TRUE)) {
      install.packages(p)
    }
  }
  remotes::install_github("mitchelloharawild/icons")
  if (!requireNamespace("tinytex", quietly = TRUE)) {
    install.packages(p)
    tinytex::install_tinytex()
  }
}
