% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/install_drwateR.R
\name{download_drwateR}
\alias{download_drwateR}
\title{Download package from drwateR Git repository}
\usage{
download_drwateR(
  pkgname,
  gitroot = DRWATERGITROOT,
  scheme = "https",
  gitrooturl = paste0(scheme, "://", gitroot),
  cred = credentials::git_credential_ask(gitrooturl)
)
}
\arguments{
\item{pkgname}{Character; Name of the package to download.}

\item{gitroot}{Character; The root URL of the Git repository
'(default: "drwater.rcees.ac.cn/git/").}

\item{scheme}{Character; The URL scheme to use (default: "https").}

\item{gitrooturl}{Character; Full Git root URL
(default: constructed using scheme and gitroot).}

\item{cred}{Object; Credentials for Git authentication
'(default: \code{credentials::git_credential_ask}).}
}
\value{
Character; The local path of the downloaded package or NULL
if the download fails.
}
\description{
Downloads a package from the drwateR Git repository.
}
\examples{
download_drwateR("rmdify")
}
