% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/install_drwateR.R
\name{install_drwateR}
\alias{install_drwateR}
\title{Install package from drwateR Git repository}
\usage{
install_drwateR(
  pkgname,
  dependency_reinstall = FALSE,
  pkgpath = download_drwateR(pkgname),
  drwaterpkgs = DRWATERPKGS,
  force = FALSE
)
}
\arguments{
\item{pkgname}{Character; Name of the package to install.}

\item{dependency_reinstall}{Logical; If TRUE, reinstall dependencies.}

\item{pkgpath}{Character; Local path to the downloaded package (default:
path returned by \code{download_drwateR}).}

\item{drwaterpkgs}{Character; A vector of package names belonging to \code{drwateR}.}

\item{force}{Logical; If TRUE, force the installation even if the package is up-to-date.}
}
\value{
Logical; TRUE if the package was successfully installed, FALSE otherwise.
}
\description{
Installs a package from the drwateR Git repository, including handling
dependencies.
}
\examples{
install_drwateR("rmdify")
}
